# system.hh File Reference

System-wide configuration helpers. More...

Include dependency graph for system.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | VAUCANSON 1
| A token to let subpackages know they work for Vaucanson.

## Detailed Description

System-wide configuration helpers.

Global configuration checks for the Vaucanson library.

It especially attempts to force G++ v2.95 to use namespaces in the STL definitions.

See also:
  `math.hh`

Definition in file system.hh.